Loading...
Searching...
No Matches
unity::shell::scopes::ScopesInterface Class Referenceabstract

A list of scopes to display in the UI. More...

`#include <unity/shell/scopes/ScopesInterface.h>`

Inheritance diagram for unity::shell::scopes::ScopesInterface:
[legend]
Collaboration diagram for unity::shell::scopes::ScopesInterface:
[legend]

## Public Types

enum | Roles { RoleScope , RoleId , RoleTitle }
| Roles supported by the model.

## Public Member Functions

virtual Q_INVOKABLE unity::shell::scopes::ScopeInterface * | getScope (int row) const =0
| Get ScopeInterface instance associated with a row.
virtual Q_INVOKABLE unity::shell::scopes::ScopeInterface * | getScope (QString const &scopeId) const =0
| Get ScopeInterface instance by scope id.
virtual Q_INVOKABLE void | setFavorite (QString const &scopeId, bool favorite)=0
| Set the favorite bit of the given scope.
virtual Q_INVOKABLE void | moveFavoriteTo (QString const &scopeId, int index)=0
| Move the given favorite scope to the given index.
virtual Q_INVOKABLE void | closeScope (unity::shell::scopes::ScopeInterface *scope)=0

## Properties

bool | loaded
| Boolean indicating whether asynchronous populating of the model finished.
int | count
| Interger specifying how many items are in the model.
unity::shell::scopes::ScopeInterface * | overviewScope
| Scope instance representing the overview scope.

## Detailed Description

A list of scopes to display in the UI.

This model exposes information about scopes that should be shown by the dash.

## Member Function Documentation

## getScope() [1/2]

virtual Q_INVOKABLE unity::shell::scopes::ScopeInterface * unity::shell::scopes::ScopesInterface::getScope | ( | int | row | ) | const

pure virtual

Get ScopeInterface instance associated with a row.

Returns ScopeInterface instance associated with a row or null when supplied with incorrect index.

## getScope() [2/2]

virtual Q_INVOKABLE unity::shell::scopes::ScopeInterface * unity::shell::scopes::ScopesInterface::getScope | ( | QString const & | scopeId | ) | const

pure virtual

Get ScopeInterface instance by scope id.

Returns ScopeInterface instance which with the supplied scope id or null.

## Property Documentation

## overviewScope

unity::shell::scopes::ScopeInterface* unity::shell::scopes::ScopesInterface::overviewScope

read

Scope instance representing the overview scope.

Scope instance representing the overview scope, note that it might be null while scopes are not loaded.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/ScopesInterface.h